Description: Update code to work with Python 3.10
 Python 3.10 introduced some changes to how type hints are handled, and
 nuxhash hasn't been updated to support that. This patch updates the
 code to function properly on Python 3.10.
Author: Ben Westover <kwestover.kw@gmail.com>
Bug: https://github.com/YoRyan/nuxhash/issues/119
Last-Update: 2022-07-04

--- a/nuxhash/gui/about.py
+++ b/nuxhash/gui/about.py
@@ -20,7 +20,7 @@
         h_sizer = wx.BoxSizer(orient=wx.HORIZONTAL)
         self.SetSizer(h_sizer)
         v_sizer = wx.BoxSizer(orient=wx.VERTICAL)
-        h_sizer.Add(v_sizer, wx.SizerFlags().Proportion(1.0)
+        h_sizer.Add(v_sizer, wx.SizerFlags().Proportion(1)
                                             .Align(wx.ALIGN_CENTER))
 
         with open(LOGO_PATH, 'rb') as f:
--- a/nuxhash/gui/benchmarks.py
+++ b/nuxhash/gui/benchmarks.py
@@ -53,7 +53,7 @@
         innerWindow.SetupScrolling()
         sizer.Add(innerWindow, wx.SizerFlags().Border(wx.LEFT|wx.RIGHT|wx.TOP,
                                                       main.PADDING_PX)
-                                              .Proportion(1.0)
+                                              .Proportion(1)
                                               .Expand())
         innerSizer = wx.BoxSizer(orient=wx.VERTICAL)
         innerWindow.SetSizer(innerSizer)
--- a/nuxhash/gui/main.py
+++ b/nuxhash/gui/main.py
@@ -89,11 +89,11 @@
     def _OnDownloadProgress(self, progress, message):
         if self._DlThread:
             if progress > 0.99: # Avoid precision errors.
-                self._DlProgress.Update(100.0)
+                self._DlProgress.Update(100)
                 self._DlThread.join()
                 self._DlThread = None
             else:
-                self._DlProgress.Update(progress*100, newmsg=message)
+                self._DlProgress.Update(int(progress*100), newmsg=message)
 
     def OnClose(self, event):
         logging.info('Closing up!')
--- a/nuxhash/gui/mining.py
+++ b/nuxhash/gui/mining.py
@@ -54,13 +54,13 @@
         # Update balance periodically.
         self._Timer = wx.Timer(self)
         self.Bind(wx.EVT_TIMER, self._OnBalanceTimer, self._Timer)
-        self._Timer.Start(milliseconds=BALANCE_UPDATE_MIN*60*1e3)
+        self._Timer.Start(milliseconds=BALANCE_UPDATE_MIN*60*1000)
 
         # Add mining panel.
         self._Panel = MiningPanel(self, style=wx.dataview.DV_HORIZ_RULES)
         sizer.Add(self._Panel, wx.SizerFlags().Border(wx.LEFT|wx.RIGHT|wx.TOP,
                                                       main.PADDING_PX)
-                                              .Proportion(1.0)
+                                              .Proportion(1)
                                               .Expand())
 
         bottomSizer = wx.BoxSizer(orient=wx.HORIZONTAL)
@@ -70,7 +70,7 @@
         # Add balance displays.
         balances = wx.FlexGridSizer(2, 2, main.PADDING_PX)
         balances.AddGrowableCol(1)
-        bottomSizer.Add(balances, wx.SizerFlags().Proportion(1.0).Expand())
+        bottomSizer.Add(balances, wx.SizerFlags().Proportion(1).Expand())
 
         balances.Add(wx.StaticText(self, label='Daily revenue'))
         self._Revenue = wx.StaticText(
--- a/nuxhash/gui/settings.py
+++ b/nuxhash/gui/settings.py
@@ -177,7 +177,7 @@
         new_settings['nicehash']['api_key'] = self._ApiKey.GetValue()
         new_settings['nicehash']['api_secret'] = self._ApiSecret.GetValue()
         new_settings['switching']['interval'] = self._Interval.GetValue()
-        new_settings['switching']['threshold'] = self._Threshold.GetValue()/100.0
+        new_settings['switching']['threshold'] = self._Threshold.GetValue()/100
         new_settings['gui']['units'] = UNITS[self._Units.GetSelection()]
         pub.sendMessage('data.settings', settings=new_settings)
 
@@ -192,7 +192,7 @@
         self._ApiKey.SetValue(self._Settings['nicehash']['api_key'])
         self._ApiSecret.SetValue(self._Settings['nicehash']['api_secret'])
         self._Interval.SetValue(self._Settings['switching']['interval'])
-        self._Threshold.SetValue(self._Settings['switching']['threshold']*100)
+        self._Threshold.SetValue(int(self._Settings['switching']['threshold']*100))
         self._Units.SetValue(self._Settings['gui']['units'])
         self._Revert.Disable()
         self._Save.Disable()
